# TRPN troponin module
# rates are based on Niederer et al 2006

# assuming that k_off is constant, disregarding dependency on Tension, for now i.e. let Tension = 0

import numpy as np 

def kinetic_parameters(M, include_all_reactions, dims, V):
    # Set the kinetic rate constants.
    # all reactions are reversible. no closed loops.

    num_cols = dims['num_cols']
    num_rows = dims['num_rows']

    # CONVERT TO fM 
    bigNum = 1e6
    fastKineticConstant = bigNum
    smallReverse = fastKineticConstant/(pow(bigNum,2))

    k_on = 100e3 # [=] 1/mM.s
    k_off = 200  # [=] 1/ms

    k_kinetic = [k_on, k_off]


    # CONSTRAINTS
    N_cT = []
    K_C = []
    
    # volume vector
    W = list(np.append([1] * num_cols, [V['V_myo']] * num_rows))

    return (k_kinetic, [N_cT], K_C, W)











